var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "vue", "vuex", "../util", "axios"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const vue_1 = __importDefault(require("vue"));
    const vuex_1 = __importDefault(require("vuex"));
    const util_1 = require("../util");
    const axios_1 = __importDefault(require("axios"));
    vue_1.default.use(vuex_1.default);
    const state = {
        dirInfo: {},
        url: "",
        selectDomSelector: {},
    };
    const getters = {
        domSelectorList: (state) => {
            return util_1.getDomSelectorList(state.dirInfo);
        },
    };
    const mutations = {
        updateUrl(state, url) {
            state.url = url;
        },
        updateDirInfo(state, dirInfo) {
            state.dirInfo = dirInfo;
        },
        updateSelectDomSelector(state, selectDomSelector) {
            state.selectDomSelector = selectDomSelector;
        },
    };
    const actions = {
        async getDirInfo({ commit }) {
            const { data: dirInfo } = await axios_1.default.get("/api/directory");
            commit("updateDirInfo", dirInfo);
        },
    };
    exports.default = new vuex_1.default.Store({
        state,
        getters,
        mutations,
        actions,
    });
});
