(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getDomSelectorList = exports.hasParentDomSelector = void 0;
    exports.hasParentDomSelector = (domSelector) => {
        if (!domSelector || !domSelector.type) {
            return false;
        }
        if (domSelector.type == "AnyParentDomSelector") {
            return true;
        }
        else {
            if (domSelector.prevElementSpec) {
                return exports.hasParentDomSelector(domSelector.prevElementSpec);
            }
            else if (domSelector.parentElementSpec) {
                return exports.hasParentDomSelector(domSelector.parentElementSpec);
            }
            else {
                return false;
            }
        }
    };
    exports.getDomSelectorList = (dirInfo) => {
        let domSelectorList = [];
        if (dirInfo.domSelectors) {
            domSelectorList = [].concat(domSelectorList, dirInfo.domSelectors.map((domSelector) => {
                return Object.assign(domSelector, {
                    path: dirInfo.path,
                });
            }));
        }
        if (dirInfo.children) {
            domSelectorList = [].concat(domSelectorList, ...dirInfo.children.map(exports.getDomSelectorList));
        }
        return domSelectorList;
    };
});
