import express from "express";
import path from "path";
import { getDirTree } from "./directory-tree";
import { html } from "./gigantes-util";
import nocache from "nocache";
const app = express();

app.use(express.static(path.join(__dirname, "../../public")));
app.use(nocache());
app.use(express.json());
app.use(express.urlencoded({ extended: true }));

app.disable("etag");

const dir = `${process.cwd()}/${process.argv[2]}`;

app.get("/api/directory", (req, res) => {
  res.send(getDirTree(dir));
});

app.post("/api/html", (req, res) => {
  res.send(html(req.body.url, req.body.path, req.body.name));
});

app.get("/", (req, res) => {
  res.sendFile("index.html");
});

app.listen(3000, () => {
  console.log(`gigantes-viewer: http://localhost:3000`);
});
