import Vue from "vue";
import Vuex from "vuex";
import { getDomSelectorList } from "../util";
import axios from "axios";

Vue.use(Vuex);

const state = {
  dirInfo: {},
  url: "",
  selectDomSelector: {},
};

const getters = {
  domSelectorList: (state) => {
    return getDomSelectorList(state.dirInfo);
  },
};

const mutations = {
  updateUrl(state, url) {
    state.url = url;
  },
  updateDirInfo(state, dirInfo) {
    state.dirInfo = dirInfo;
  },
  updateSelectDomSelector(state, selectDomSelector) {
    state.selectDomSelector = selectDomSelector;
  },
};

const actions = {
  async getDirInfo({ commit }) {
    const { data: dirInfo } = await axios.get("/api/directory");
    commit("updateDirInfo", dirInfo);
  },
};

export default new Vuex.Store({
  state,
  getters,
  mutations,
  actions,
});
