export const hasParentDomSelector = (domSelector) => {
  if (!domSelector || !domSelector.type) {
    return false;
  }

  if (domSelector.type == "AnyParentDomSelector") {
    return true;
  } else {
    if (domSelector.prevElementSpec) {
      return hasParentDomSelector(domSelector.prevElementSpec);
    } else if (domSelector.parentElementSpec) {
      return hasParentDomSelector(domSelector.parentElementSpec);
    } else {
      return false;
    }
  }
};

export const getDomSelectorList = (dirInfo) => {
  let domSelectorList = [];

  if (dirInfo.domSelectors) {
    domSelectorList = [].concat(
      domSelectorList,
      dirInfo.domSelectors.map((domSelector) => {
        return Object.assign(domSelector, {
          path: dirInfo.path,
        });
      })
    );
  }

  if (dirInfo.children) {
    domSelectorList = [].concat(
      domSelectorList,
      ...dirInfo.children.map(getDomSelectorList)
    );
  }

  return domSelectorList;
};
